#!/usr/bin/env python3

from pyspark import SparkConf, SparkContext
from movie import Movie




conf = SparkConf().setAppName("Exercice 2").setMaster("local[*]")
sc = SparkContext(conf=conf)

##REMPLACER /user/kim/input par /user/VOTRELOGIN/input

def mkMovie(s):
   l = s.split(";")
   return Movie(l[0], l[1], l[2], l[3], l[4])


lines = sc.textFile("hdfs://localhost:9000/user/kim/input/movie.txt")
movies = lines.map(mkMovie)

# Trier par année croissante.
#...
sortedMovies = movies.sortBy(lambda m: m.year)

sortedMoviesStr = sortedMovies.map(str)

sortedMoviesStr.saveAsTextFile("hdfs://localhost:9000/user/kim/output/")


