#!/usr/bin/env python3

from pyspark import SparkConf, SparkContext
from movie import Movie




conf = SparkConf().setAppName("Exercice 3.1").setMaster("local")
sc = SparkContext(conf=conf)

##REMPLACER /user/kim/input par /user/VOTRELOGIN/input

def mkMovie(s):
   l = s.split(";")
   return Movie(l[0], l[1], l[2], l[3], l[4])


lines = sc.textFile("hdfs://localhost:9000/user/kim/input/movie.txt")
movies = lines.map(mkMovie)

movies9000 = movies.filter(lambda m: 1990 <= m.year <= 2000)
moviesSorted = movies9000.sortBy(lambda m:m.year, ascending=False)

moviesSorted.foreach(print)





