#!/usr/bin/env python3

from pyspark import SparkConf, SparkContext
from movie import Movie




conf = SparkConf().setAppName("Exercice 3.2").setMaster("local")
sc = SparkContext(conf=conf)

##REMPLACER /user/kim/input par /user/VOTRELOGIN/input

def mkMovie(s):
   l = s.split(";")
   return Movie(l[0], l[1], l[2], l[3], l[4])


lines = sc.textFile("hdfs://localhost:9000/user/kim/input/movie.txt")
movies = lines.map(mkMovie)

moviesByYear = movies.groupBy(lambda m: m.year)
countMoviesByYear = moviesByYear.map(lambda p: (p[0],len(p[1])))

sortedByCount = countMoviesByYear.sortBy(lambda p: p[1])

sortedByCount.foreach(print)





